From 7380c132505db17267b94658d5a918374e9f9e11 Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Mon, 30 Mar 2020 10:05:45 +0800
Subject: [PATCH 03/77] pcibridge: fix incorrect pci bus address

use hex to replace the bus address.

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 libvirt/tests/cfg/controller/pcibridge.cfg | 4 ++--
 libvirt/tests/src/controller/pcibridge.py  | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/libvirt/tests/cfg/controller/pcibridge.cfg b/libvirt/tests/cfg/controller/pcibridge.cfg
index eed8243f..54714c65 100644
--- a/libvirt/tests/cfg/controller/pcibridge.cfg
+++ b/libvirt/tests/cfg/controller/pcibridge.cfg
@@ -15,7 +15,7 @@
                         - with_device:
                             pci_br_has_device = 'yes'
                             sound_dev_model_type = 'ich6'
-                            sound_dev_address = "{'type': 'pci', 'domain': '0x0000', 'bus': '0x0%s', 'slot': '0x02', 'function': '0x0'}"
+                            sound_dev_address = "{'type': 'pci', 'domain': '0x0000', 'bus': '%s', 'slot': '0x02', 'function': '0x0'}"
                             iface_kwargs = {'address': "{'type': 'pci', 'domain': '0x0000', 'bus':'%s', 'slot': '0x05', 'function': '0x0'}"}
                         - no_device:
                             iface_kwargs = {'address': "{'type': 'pci', 'domain': '0x0000', 'bus':'%s', 'slot': '0x05', 'function': '0x0'}"}
@@ -44,7 +44,7 @@
                     pci_model ='pcie-to-pci-bridge'
                     pci_model_name = 'pcie-pci-bridge'
                     sound_dev_model_type = 'ich6'
-                    sound_dev_address = "{'type': 'pci', 'domain': '0x0000', 'bus': '0x0%s', 'slot': '0x02', 'function': '0x0'}"
+                    sound_dev_address = "{'type': 'pci', 'domain': '0x0000', 'bus': '%s', 'slot': '0x02', 'function': '0x0'}"
                     variants:
                         - 1_br:
                             case += '1_br'
diff --git a/libvirt/tests/src/controller/pcibridge.py b/libvirt/tests/src/controller/pcibridge.py
index 539b7d45..ff1e71a9 100644
--- a/libvirt/tests/src/controller/pcibridge.py
+++ b/libvirt/tests/src/controller/pcibridge.py
@@ -126,7 +126,7 @@ def run(test, params, env):
         if need_pci_br and pci_br_has_device:
             sound_dev = Sound()
             sound_dev.model_type = sound_dev_model_type
-            sound_dev.address = eval(sound_dev_address % pci_br_index)
+            sound_dev.address = eval(sound_dev_address % hex(int(pci_br_index)))
             logging.debug('sound_dev.address: %s', sound_dev.address)
             vmxml.add_device(sound_dev)
             if case != 'vm_with_pcie_br_1_br':
-- 
2.23.0

